/* TODO */
html {
    font-family: Arial, sans-serif;
    padding: 0.5rem;
}

h1 {
    display: flex;
    justify-content: center;

    margin: 0;
}

h2 {
    display: flex;
    justify-content: center;

    margin: 0.5em;
}

ul {
    padding: 0;
}

ol {
    padding: 0;
}

p {
    display: flex;
    justify-content: center;
    margin: 0.5em;
    margin-bottom: 1em;
    
    gap: 0.25em;
}

li {
    display: flex;
    justify-content: center;
    text-align: center;
}

.profile_intro{
    font-size: 1.2em;
    margin-bottom: 1em;
}

.top {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 1em;
    background-color: #f8f8f8;
}

.top a {
    text-decoration: none;
    color: #333;
    font-weight: bold;
}

.top a:hover {
    color: #0008FF;
    text-decoration: underline;
}

.nav {
    display: flex;
    gap: 1em;
    margin: 0.5em;
}

.nav a {
    text-decoration: none;
    color: #333;
}

nav a:hover {
    color: #0008FF;
    text-decoration: underline;
}

.recipes {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 1em;
}

.recipes-list {
    display: flex;
    flex-direction: row;
    justify-content: center;
    gap: 0.5em;
}

.recipe-info {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 2em auto;
}

.recipe-info p {
    display: flex;
    flex-direction: row;
    align-items: center;

    gap: 0.5em;
    margin: 5px 0;
}

.recipe-columns ul {
    display: flex;
    flex-direction: column;
    gap: 0.5em;
}

.search-block {
    display: flex;
    justify-content: center;
    margin-top: 1em;
    margin-bottom: 2em;
}

.cards-area {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 1em;
}

.card {
    display: flex;
    flex-direction: column;

    text-align: center;
    
    border: 2px solid #000000;
    border-radius: 8px;
    padding: 0.25em;
    width: calc(100% / 3 - 2em);
}

.card ul {
    display: flex;
    flex-direction: row;
    justify-content: center;
    gap: 0.25em;
}

.card li a {
    color: grey;
    text-decoration: none;
}

.card li a:hover {
    color: #474747;
    text-decoration: underline;
}

.card h2 a {
    margin-top: 0;
    color: black;
    text-decoration: none;
}

.card h2 a:hover {
    color: #292dae;
    text-decoration: underline;
}

.reviews-link {
    display: flex;
    flex-direction: row;
    justify-content: center;

    margin: auto;
}

.reviews-link a {
    color: #000000;
    text-decoration: none;
}

.reviews-link a:hover {
    color: #0008FF;
    text-decoration: underline;
}

#review-link {
    display: flex;
    flex-direction: row;
    justify-content: center;
    font-size: 0.875em;

    margin: auto;
}

@media (max-width: 900px) {
    .cards-area {
        flex-direction: column;
        align-items: center;
        justify-content: center;
    }

    p {
        display: flex;
        flex-wrap: wrap;
        text-align: center;
    }

    .recipes-list {
        flex-direction: column;
        align-items: center;
    }
    
    .card {
        width: calc(100% - 2em);
    }

    .review-wrap {
        margin: 1em;
        padding: 1em;
    }

    .top-ratings-wrap {
        margin: 1em;
    }
}